curl --request GET \
--url https://api.cnap.tech/v1/dashboards \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "j572abc123def456",
"name": "Cluster Overview",
"description": "<string>",
"workspace_id": "<string>",
"widgets": [
{
"snippet_id": "<string>",
"col_span": 2,
"display_type": "table"
}
],
"created_by": "<string>",
"created_at": 123
}
],
"pagination": {
"cursor": "<string>",
"has_more": true
}
}Returns all dashboards belonging to the workspace specified in the X-Workspace-Id header.
curl --request GET \
--url https://api.cnap.tech/v1/dashboards \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "j572abc123def456",
"name": "Cluster Overview",
"description": "<string>",
"workspace_id": "<string>",
"widgets": [
{
"snippet_id": "<string>",
"col_span": 2,
"display_type": "table"
}
],
"created_by": "<string>",
"created_at": 123
}
],
"pagination": {
"cursor": "<string>",
"has_more": true
}
}Personal Access Token (cnap_pat_...) or OAuth2 JWT. Create tokens at https://cnap.tech/account/tokens
Pagination cursor from previous response
Items per page (1-100)
1 <= x <= 10050